Sat Mar 11 17:50:12 EST 2000
-----> ## QMG test 1


Sat Mar 11 17:50:12 EST 2000
-----> ## This is an approximation to the mesh on the cover of Claes 


Sat Mar 11 17:50:12 EST 2000
-----> ## Johnson's book ``Numerical solutions of partial differential


Sat Mar 11 17:50:12 EST 2000
-----> ## equations by the finite element method'' , Cambridge U. Press 1987.


Sat Mar 11 17:50:12 EST 2000
-----> ## It has greater refinement near the origin.


Sat Mar 11 17:50:12 EST 2000
-----> 
global PI


Sat Mar 11 17:50:12 EST 2000
-----> global interactive


Sat Mar 11 17:50:12 EST 2000
-----> set wedgeangle [expr $PI/6.0]

0.52359877559829837
Sat Mar 11 17:50:12 EST 2000
-----> 

## Make a circular approximation with 4 Bezier curves from pi/6 to 2pi.


Sat Mar 11 17:50:12 EST 2000
-----> 
gmset {verts codes} [gm_circ_approx $wedgeangle [expr 2 * $PI] 4]


Sat Mar 11 17:50:12 EST 2000
-----> 
## Put one more vertex to start the wedge.


Sat Mar 11 17:50:12 EST 2000
-----> 
gmset newverts [concat {{0 0}} $verts]


Sat Mar 11 17:50:12 EST 2000
-----> gmset newcodes [concat 0 $codes]


Sat Mar 11 17:50:12 EST 2000
-----> gmset domain [gm_cpoly $newverts $newcodes]


Sat Mar 11 17:50:12 EST 2000
-----> 

## The size function is of the form h0*r^p+f, where p is determined


Sat Mar 11 17:50:12 EST 2000
-----> ## by (4.31) in Johnson, and f is determined so that the H1 error on


Sat Mar 11 17:50:12 EST 2000
-----> ## the innermost triangles matches the H1 error everywhere else.


Sat Mar 11 17:50:12 EST 2000
-----> 
set h0 0.2

0.2
Sat Mar 11 17:50:12 EST 2000
-----> set gamma [expr $PI / ( 2*$PI - $wedgeangle)]

0.54545454545454541
Sat Mar 11 17:50:12 EST 2000
-----> set f [expr pow($h0,(1.0/$gamma))]

0.052306419440473213
Sat Mar 11 17:50:12 EST 2000
-----> set p [expr 1.0 - $gamma]

0.45454545454545459
Sat Mar 11 17:50:12 EST 2000
-----> 
set sizectl "(formula ($h0 * pow(%0*%0+%1*%1, $p/2.0) + $f))"

(formula (0.2 * pow(%0*%0+%1*%1, 0.45454545454545459/2.0) + 0.052306419440473213))
Sat Mar 11 17:50:12 EST 2000
-----> 
set show 0

0
Sat Mar 11 17:50:12 EST 2000
-----> if {[llength [info globals interactive]]} {
    puts "size control string = $sizectl"
    set show 1
}


Sat Mar 11 17:50:12 EST 2000
-----> 

gmset mesh [gmmeshgen $domain size $sizectl show $show]


Sat Mar 11 17:50:14 EST 2000
-----> gmset {numvtx numelt} [gmmeshsize $mesh]


Sat Mar 11 17:50:14 EST 2000
-----> set asp [gmchecktri $domain $mesh]

Maximum aspect ratio =        10.2397 achieved in
simplex #359 of topological entity mregion (2:0) which has vertices 13 11 230 
Maximum global side length =  0.200806
Minimum global altitude =     0.00727931
Number of nodes = 259 number of elements = 447
10.239729237340125
Sat Mar 11 17:50:14 EST 2000
-----> 
if {[llength [info globals aspprod]]} {
    global aspprod
    set aspprod [expr $aspprod * $asp]
    global meshsizesum
    set meshsizesum [expr $meshsizesum + $numvtx]
}

259
Sat Mar 11 17:50:14 EST 2000
-----> 
if {[llength [info globals interactive]]} {
    gmviz $mesh white
}


Sat Mar 11 17:50:14 EST 2000
-----> 
# ------------------------------------------------------------------


Sat Mar 11 17:50:14 EST 2000
-----> # Copyright (c) 1999 by Cornell University.  All rights reserved


Sat Mar 11 17:50:14 EST 2000
-----> # See the accompanying file 'Copyright' for authorship information,


Sat Mar 11 17:50:14 EST 2000
-----> # the terms of the license governing this software, and disclaimers


Sat Mar 11 17:50:14 EST 2000
-----> # concerning this software.


Sat Mar 11 17:50:14 EST 2000
-----> # ------------------------------------------------------------------


Sat Mar 11 17:50:14 EST 2000
-----> # This file is part of the QMG software.  


Sat Mar 11 17:50:14 EST 2000
-----> # Version 2.0 of QMG, release date September 3, 1999.


Sat Mar 11 17:50:14 EST 2000
-----> # ------------------------------------------------------------------


Sat Mar 11 17:50:14 EST 2000
