18:45:42.4 11-Mar-2000
-- >> %% QMG test 1

18:45:42.5 11-Mar-2000
-- >> %% This is an approximation to the mesh on the cover of Claes 

18:45:42.5 11-Mar-2000
-- >> %% Johnson's book ``Numerical solutions of partial differential

18:45:42.5 11-Mar-2000
-- >> %% equations by the finite element method'' , Cambridge U. Press 1987.

18:45:42.5 11-Mar-2000
-- >> %% It has greater refinement near the origin.

18:45:42.5 11-Mar-2000
-- >> global interactive

18:45:42.5 11-Mar-2000
-- >> wedgeangle = pi / 6.0;

18:45:42.5 11-Mar-2000
-- >> %% Make a circular approximation with 4 Bezier curves from pi/6 to 2pi.

18:45:42.5 11-Mar-2000
-- >> [verts,codes] = gm_circ_approx(wedgeangle, 2*pi, 4);

18:45:42.5 11-Mar-2000
-- >> newverts = [0,0;verts];

18:45:42.5 11-Mar-2000
-- >> newcodes = [0;codes];

18:45:42.5 11-Mar-2000
-- >> domain = gm_cpoly(newverts, newcodes);

18:45:42.8 11-Mar-2000
-- >> % The size function is of the form h0*r^p+f, where p is determined

18:45:42.8 11-Mar-2000
-- >> % by (4.31) in Johnson, and f is determined so that the H1 error on

18:45:42.8 11-Mar-2000
-- >> % the innermost triangles matches the H1 error everywhere else.

18:45:42.8 11-Mar-2000
-- >> h0 =  0.2;

18:45:42.8 11-Mar-2000
-- >> gamma = pi / (2*pi - wedgeangle);

18:45:42.8 11-Mar-2000
-- >> f  = h0 ^ (1.0/gamma);

18:45:42.8 11-Mar-2000
-- >> p = 1.0 - gamma;

18:45:42.8 11-Mar-2000
-- >> sizectl = sprintf('(formula (%d * (%%0^2+%%1^2)^(%d/2.0) + %d))', h0, p, f);

18:45:42.8 11-Mar-2000
-- >> show =  0;

18:45:42.8 11-Mar-2000
-- >> if length(interactive) > 0
  disp(sprintf('size control string = %s', sizectl));
  show = 1;
end

18:45:42.8 11-Mar-2000
-- >> mesh = gmmeshgen(domain, 'size', sizectl, 'show', show);

18:45:47.7 11-Mar-2000
-- >> [scrap, numvtx] = size(mesh{4});

18:45:47.7 11-Mar-2000
-- >> asp  = gmchecktri(domain,mesh);
Maximum aspect ratio =        10.2397 achieved in
simplex #359 of topological entity mregion (2:0) which has vertices 13 11 230 
Maximum global side length =  0.200806
Minimum global altitude =     0.00727931
Number of nodes = 259 number of elements = 447

18:45:47.9 11-Mar-2000
-- >> global aspprod

18:45:47.9 11-Mar-2000
-- >> global meshsizesum

18:45:47.9 11-Mar-2000
-- >> if length(aspprod) > 0
  aspprod = aspprod * asp;
  meshsizesum = meshsizesum + numvtx;
end

18:45:47.9 11-Mar-2000
-- >> if length(interactive) > 0
  gmviz(mesh)
end

18:45:47.9 11-Mar-2000
-- >> % ------------------------------------------------------------------

18:45:47.9 11-Mar-2000
-- >> % Copyright (c) 1999 by Cornell University.  All rights reserved

18:45:47.9 11-Mar-2000
-- >> % See the accompanying file 'Copyright' for authorship information,

18:45:47.9 11-Mar-2000
-- >> % the terms of the license governing this software, and disclaimers

18:45:47.9 11-Mar-2000
-- >> % concerning this software.

18:45:48.0 11-Mar-2000
-- >> % ------------------------------------------------------------------

18:45:48.0 11-Mar-2000
-- >> % This file is part of the QMG software.  

18:45:48.0 11-Mar-2000
-- >> % Version 2.0 of QMG, release date September 3, 1999.

18:45:48.0 11-Mar-2000
-- >> % ------------------------------------------------------------------

18:45:48.0 11-Mar-2000
-- >> 
