function b = subsref(a,s);

% disp('input s')
% dumpsub(s)

news = s;
for j = 1 : length(news)
  if strcmp(news(j).type, '.')
    error('Dot subscripting not allowed for zba');
  end
  for l = 1 : length(news(j).subs)
    s1 = news(j).subs{l};
    if isa(s1,'zba')
      s1 = double(s1);
    end
    if islogical(s1)
      s1 = find(s1);
      [m,n] = size(s1);
      s1 = s1 - ones(m,n);
    end
    if ~strcmp(s1, ':')
      [m,n] = size(s1);
      o = ones(m,n);
      news(j).subs{l} = s1 + o;
    end
  end
end

% disp('output s')
% dumpsub(news)

b = zba(subsref(a.entries, news));
  
