function bbox = gmviz_update_bbox(oldbbox, pts)
% Update the bounding box given a new set of points.
bbox = oldbbox;
[m,di] = size(pts);
if m > 0
  for j = 1 : di
    bbox(j,1) = min(bbox(j,1),min(pts(:,j)));
    bbox(j,2) = max(bbox(j,2),max(pts(:,j)));
  end
end

