b = gm_read('../data/logo2.geo');
me = gmmeshgen(b,'curve','(const .4)','show',0,'expa',[.45,.4,.01]);
ax = axes;
set(ax,'DataAspectRatio',[1,1,1]);
set(ax,'DataAspectRatioMode','manual');
%set(ax,'PlotBoxAspectRatio',[1,1,1]);
%set(ax,'PlotBoxAspectRatioMode', 'manual');
set(ax,'xlimmode','manual')
set(ax,'xlim',[90,450]);
set(ax,'ylimmode','manual')
set(ax,'ylim',[20,350]);

set(ax,'xtick',[]);
set(ax,'ytick',[]);
set(ax,'color',[.8,1,.9]);
hold on
%[coords,simps,colors] = gm_vizp(me, [.7,.5,1,1], 2, 1);
[coords,simps,colors] = gm_vizp(me, [.7,1,.5,1], 2, 1);
[m,sz2] = size(simps);
simps = simps + ones(m,sz2);
for i = 1 : m
    if (colors(i,4) > 0)
      h = fill(...
 [coords(simps(i,1),1),coords(simps(i,2),1),coords(simps(i,3),1)],...
 [coords(simps(i,1),2),coords(simps(i,2),2),coords(simps(i,3),2)],...
 colors(i,1:3));
% set(h,'EdgeColor', [0,0,.8]);
 set(h,'EdgeColor', [0,.8,0]);
  end
end
p = text(220,-20,'2.0', ...
   'fontname', 'Arial Black', ...
   'fontweight','bold', ...
   'fontsize', 10, ...
    'color', [0,.8,0]);

set(gcf,'paperposition',[0,0,1,1]);
%set(gcf,'units', 'inches');
%w = get(gcf, 'position');
%set(gcf,'position',[w(1),w(2),1,1]);


