## QMG test 2 This test generates a torus made up of 36
## biquadratic patches and generates a mesh for
## it.  The mesh size is restricted to 0.5

gmset t [gmmake_torus 1 2 6]
gmsummary $t
set show 0
if {[llength [info globals interactive]]} {
    set show 1
}
gmset m [gmmeshgen $t size "(const .5)" curve "(const 1)" show $show]
gmset {numvtx numelt} [gmmeshsize $m]
set asp [gmchecktri $t $m 1 1e-10]

if {[llength [info globals aspprod]]} {
    global aspprod
    set aspprod [expr $aspprod * $asp]
    global meshsizesum
    set meshsizesum [expr $meshsizesum + $numvtx]
}

# ------------------------------------------------------------------
# Copyright (c) 1999 by Cornell University.  All rights reserved
# See the accompanying file 'Copyright' for authorship information,
# the terms of the license governing this software, and disclaimers
# concerning this software.
# ------------------------------------------------------------------
# This file is part of the QMG software.  
# Version 2.0 of QMG, release date September 3, 1999.
# ------------------------------------------------------------------
