## QMG test 3: mesh a dodecahedron


global qmg_data
gmset dodec [gmoffread $qmg_data/dodec.off]
set show 0
if {[llength [info globals interactive]]} {
    set show 1
}
gmsummary $dodec
gmset mesh [gmmeshgen $dodec show $show]
set asp [gmchecktri $dodec $mesh]


if {[llength [info globals aspprod]]} {
    global aspprod
    set aspprod [expr $aspprod * $asp]
    gmset {numvtx numelt} [gmmeshsize $mesh]
    global meshsizesum
    set meshsizesum [expr $meshsizesum + $numvtx]
}

# ------------------------------------------------------------------
# Copyright (c) 1999 by Cornell University.  All rights reserved
# See the accompanying file 'Copyright' for authorship information,
# the terms of the license governing this software, and disclaimers
# concerning this software.
# ------------------------------------------------------------------
# This file is part of the QMG software.  
# Version 2.0 of QMG, release date September 3, 1999.
# ------------------------------------------------------------------
