## QMG test 5 -- test a branching crack

global qmg_data
gmset branchobj [gm_read $qmg_data/branchobj.geo]
set show 0
if {[llength [info globals interactive]]} {
    set show 1
}
gmset mesh [gmmeshgen $branchobj show $show]

gmset {branchobj2 mesh2} [gmdouble $branchobj * $mesh]

set asp [gmchecktri $branchobj2 $mesh2]
gmset {numvtx numelt} [gmmeshsize $mesh2]

if {$show} {
    gmviz $mesh
}

if {[llength [info globals aspprod]]} {
    global aspprod
    set aspprod [expr $aspprod * $asp]
    global meshsizesum
    set meshsizesum [expr $meshsizesum + $numvtx]
}

# ------------------------------------------------------------------
# Copyright (c) 1999 by Cornell University.  All rights reserved
# See the accompanying file 'Copyright' for authorship information,
# the terms of the license governing this software, and disclaimers
# concerning this software.
# ------------------------------------------------------------------
# This file is part of the QMG software.  
# Version 2.0 of QMG, release date September 3, 1999.
# ------------------------------------------------------------------
