@echo on
REM Script to test shell-command version of QMG

REM  ... generating a mesh for the hexobj 3D geo
qmg -meshgen -show 0 -fileformat ascii -logfile nul -orientation 2 -curvecontrol "(const 1)" -tol 1e-12 ../../data/hexobj.geo hexobj.msh
REM  ... mesh has been generated; doubling internal boundaries
qmg -double2 -fileformat ascii ../../data/hexobj.geo hexobj.msh hexobj_d.geo hexobj_d.msh \*
REM  ... internal boundary has been doubled; checking the mesh
qmg -checktri -fileformat ascii -checkorientation 2 -tol 1e-12 hexobj_d.geo hexobj_d.msh
REM  ... checktri has finished; removing files created by this script
del hexobj.msh
del hexobj_d.*

