18:51:14.5 11-Mar-2000
-- >> %% QMG 2.0 test 7: a circle with two elliptic holes and a slit.

18:51:14.5 11-Mar-2000
-- >> global interactive

18:51:14.5 11-Mar-2000
-- >> %% Make an approximation to a circle using 6 Bezier cubic arcs.

18:51:14.5 11-Mar-2000
-- >> numseg = 6;

18:51:14.5 11-Mar-2000
-- >> [verts, scrap] = gm_circ_approx(0, 2*pi, numseg);

18:51:14.6 11-Mar-2000
-- >> [numvert,scrap] = size(verts);

18:51:14.6 11-Mar-2000
-- >> verts = verts(1:3*numseg,:);

18:51:14.6 11-Mar-2000
-- >> codes = kron(ones(numseg,1),[2;3;3]);

18:51:14.6 11-Mar-2000
-- >> codes(1) = 0;

18:51:14.6 11-Mar-2000
-- >> c0 = gm_cpoly(verts,codes);

18:51:14.7 11-Mar-2000
-- >> %% Make two elliptic holes.

18:51:14.7 11-Mar-2000
-- >> hole1 = gmapply([.2, 0, 0; 0,.1,-.5], c0);

18:51:14.7 11-Mar-2000
-- >> c = gmcavity(c0,hole1);

18:51:14.8 11-Mar-2000
-- >> hole2 = gmapply([.2, 0, 0; 0, .1, .5], c0);

18:51:14.8 11-Mar-2000
-- >> c = gmcavity(c,hole2);

18:51:15.0 11-Mar-2000
-- >> %% Make a slit by modifying the brep directly.

18:51:15.0 11-Mar-2000
-- >> %% Insert two new control points at (-.6,-.1) and (.6,.1).

18:51:15.0 11-Mar-2000
-- >> [scrap,numcp] = size(c{4});

18:51:15.0 11-Mar-2000
-- >> c{4}(:,numcp:numcp+1) = [.6,-.6;.1,-.1];

18:51:15.0 11-Mar-2000
-- >> %% Insert two new vertices at these points.

18:51:15.0 11-Mar-2000
-- >> [scrap,numv] = size(c{5});

18:51:15.0 11-Mar-2000
-- >> c{5}(:,numv:numv+1) = {
'newv1','newv2'
 {}, {}
 {}, {}
 {}, {}
 {'vertex';[];numcp},{'vertex';[];numcp+1}};

18:51:15.0 11-Mar-2000
-- >> %% Insert a new edge connecting those vertices.

18:51:15.0 11-Mar-2000
-- >> [scrap,nume] = size(c{6});

18:51:15.0 11-Mar-2000
-- >> c{6}(:,nume) = {
'newe1'
 {}
 {'newv1','newv2'}
 {}
 {'bezier_curve';1;[numcp,numcp+1]}};

18:51:15.0 11-Mar-2000
-- >> %% Insert the new edge as a repeated boundary of the region.

18:51:15.0 11-Mar-2000
-- >> oldbsize = length(c{7}{2,0}); 

18:51:15.1 11-Mar-2000
-- >> c{7}{2,0}{oldbsize} = 'newe1';

18:51:15.1 11-Mar-2000
-- >> c{7}{2,0}{oldbsize+1} = 'newe1';

18:51:15.1 11-Mar-2000
-- >> c_color = gmrndcolor(c);

18:51:15.1 11-Mar-2000
-- >> if length(interactive) > 0
  gmviz(c_color), gmshowcolor(c_color)
end

18:51:15.1 11-Mar-2000
-- >> %% generate a mesh.  Elements of size about .2.

18:51:15.1 11-Mar-2000
-- >> show = 0;

18:51:15.1 11-Mar-2000
-- >> if length(interactive) > 0
  show = 1;
end

18:51:15.2 11-Mar-2000
-- >> m = gmmeshgen(c_color,'size','(const .2)', 'show', show);

18:51:15.8 11-Mar-2000
-- >> %% Display the mesh

18:51:15.8 11-Mar-2000
-- >> if length(interactive) > 0
  gmviz(m)
end

18:51:15.8 11-Mar-2000
-- >> [c_color2, m2] = gmdouble(c_color, {'*'}, m);

18:51:15.9 11-Mar-2000
-- >> %% Check the mesh.

18:51:15.9 11-Mar-2000
-- >> asp = gmchecktri(c_color2,m2);
Maximum aspect ratio =        19.1017 achieved in
simplex #656 of topological entity mregion (2:0) which has vertices 52 366 382 
Maximum global side length =  0.206452
Minimum global altitude =     0.00212975
Number of nodes = 403 number of elements = 694

18:51:16.0 11-Mar-2000
-- >> %% Default neumann BC du/dn=0 on all faces except the two

18:51:16.0 11-Mar-2000
-- >> %% holes that get Dirichlet conditions.

18:51:16.0 11-Mar-2000
-- >> for j = 0 : nume
  if length(findstr('cav1',double(c_color2{6}{0,j})))
    [npv,scrap] = size(c_color2{6}(1,j));
    c_color2{6}{1,j}(:,npv) = {'bc'; '(d (const 1))'};
  end
  if length(findstr('cav2',double(c_color2{6}{0,j})))
    [npv,scrap] = size(c_color2{6}(1,j));
    c_color2{6}{1,j}(:,npv) = {'bc'; '(d (const 2))'};
  end
end

18:51:16.1 11-Mar-2000
-- >> u = gmfem(c_color2, m2);
Conductivity on face mregion is (const 1.0)
Source on face mregion is (const 0.0)
facet e19 btype = n bfunc = (const 0.0)
facet e19_cav1 btype = d bfunc = (const 1)
facet e19_cav2 btype = d bfunc = (const 2)
facet newe1_$copy0 btype = n bfunc = (const 0.0)
facet newe1_$copy1 btype = n bfunc = (const 0.0)
Assembled K is 353-by-353 and contains 1927 nonzero entries
87062 flops to solve linear system

18:51:16.9 11-Mar-2000
-- >> if length(interactive) > 0
  gmplot(m2, u)
end

18:51:16.9 11-Mar-2000
-- >> global aspprod

18:51:16.9 11-Mar-2000
-- >> global meshsizesum

18:51:16.9 11-Mar-2000
-- >> [scrap,numvtx] = size(m2{4});

18:51:16.9 11-Mar-2000
-- >> if length(aspprod) > 0
  aspprod = aspprod * asp;
  meshsizesum = meshsizesum + numvtx;
end

18:51:16.9 11-Mar-2000
-- >> % ------------------------------------------------------------------

18:51:16.9 11-Mar-2000
-- >> % Copyright (c) 1999 by Cornell University.  All rights reserved

18:51:16.9 11-Mar-2000
-- >> % See the accompanying file 'Copyright' for authorship information,

18:51:16.9 11-Mar-2000
-- >> % the terms of the license governing this software, and disclaimers

18:51:17.0 11-Mar-2000
-- >> % concerning this software.

18:51:17.0 11-Mar-2000
-- >> % ------------------------------------------------------------------

18:51:17.0 11-Mar-2000
-- >> % This file is part of the QMG software.  

18:51:17.0 11-Mar-2000
-- >> % Version 2.0 of QMG, release date September 3, 1999.

18:51:17.0 11-Mar-2000
-- >> % ------------------------------------------------------------------

18:51:17.0 11-Mar-2000
-- >> 
