function [varargout]=gm_mcompo(varargin)
%% gm_mcompo finds connected components of a mesh
%%   Tcl/Tk: gmset componum [gm_mcompo $msh]
%%   Matlab: componum = gm_mcompo(msh);
%% This routine labels mesh nodes with their connected components
%% (an integer starting with 0 for the first connected component).
%% The return value is an array of integers whose entries are in
%% correspondence with nodes of the mesh.  In the matlab case, the
%% return value is a zba.
gm_errmsg('gm_mcompo')
