function fig = gmvizgui_init()
% gmvizgui_init: initialize the panel that controls visualization operations
%
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

load gmvizgui1

h0 = figure('Units','characters', ...
	'Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'PointerShapeCData',mat1, ...
	'Position',[85.80000000000001 3.153846153846154 90.2 52.15384615384615], ...
	'Tag','gmvizgui');


h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[25 47.76923076923077 35.4 1.538461538461538], ...
	'String','---GRAPHICS CONTROL---', ...
	'Style','text', ...
	'Tag','StaticText1');

h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'ListboxTop',0, ...
	'Position',[13.2 39.23076923076923 65.60000000000001 8.153846153846155], ...
	'Style','frame', ...
	'Tag','Frame1');

h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[26.8 44.92307692307692 32.8 1.692307692307692], ...
	'String','Graphics Engine Selection', ...
	'Style','text', ...
	'Tag','StaticText2');

h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[16.4 43.38461538461538 21 1.538461538461538], ...
	'String','2D Graphics Engine', ...
	'Style','text', ...
	'Tag','StaticText3');


h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[46.8 43.30769230769231 27.6 1.076923076923077], ...
	'String','3D Graphics Engine', ...
	'Style','text', ...
	'Tag','StaticText4');


h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'ListboxTop',0, ...
	'Position',[16.6 41.30769230769231 21.4 2.076923076923077], ...
	'String','Internal (Matlab)', ...
	'Style','radiobutton', ...
	'Tag','Radiobutton1');

h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',mat2, ...
	'String','External (VRML)', ...
	'Style','radiobutton', ...
	'Tag','Radiobutton2');


h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'ListboxTop',0, ...
	'Position',mat3, ...
	'String','Internal (Matlab)', ...
	'Style','radiobutton', ...
	'Tag','Radiobutton3');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'ListboxTop',0, ...
	'Position',[47 40.07692307692307 23.4 1.538461538461538], ...
	'String','External (VRML)', ...
	'Style','radiobutton', ...
	'Tag','Radiobutton4');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[14.8 31.92307692307692 63.2 6.384615384615384], ...
	'Style','frame', ...
	'Tag','Frame2');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',mat4, ...
	'String','Object Width Control', ...
	'Style','text', ...
	'Tag','StaticText5');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[15.8 33.15384615384615 27.8 1.538461538461538], ...
	'Style','slider', ...
	'Tag','Slider1');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[15.8 34.84615384615385 23.8 1.538461538461538], ...
	'String','Point width = 0', ...
	'Style','text', ...
	'Tag','StaticText6');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'ListboxTop',0, ...
	'Position',[48.2 33.23076923076923 27.2 1.538461538461538], ...
	'Style','slider', ...
	'Tag','Slider2');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[48.4 34.76923076923077 27 1.538461538461538], ...
	'String','Line width = 0', ...
	'Style','text', ...
	'Tag','StaticText7');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'ListboxTop',0, ...
	'Position',[13.8 25.84615384615385 64.8 5], ...
	'Style','frame', ...
	'Tag','Frame3');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',mat5, ...
	'String','Number of Bezier Subdivisions', ...
	'Style','text', ...
	'Tag','StaticText8');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[28 27.53846153846154 38 1.538461538461538], ...
	'String','4 per segment; 10 per triangle', ...
	'Style','text', ...
	'Tag','StaticText9');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',mat6, ...
	'Style','slider', ...
	'Tag','Slider3');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',mat7, ...
	'Style','frame', ...
	'Tag','Frame4');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'ListboxTop',0, ...
	'Position',[28.4 23.84615384615385 35.4 1.538461538461538], ...
	'String','Default Color', ...
	'Style','text', ...
	'Tag','StaticText10');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[17 22.92307692307692 12 1.538461538461538], ...
	'String','Red = 1.000', ...
	'Style','text', ...
	'Tag','StaticText11');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'ListboxTop',0, ...
	'Position',[16.4 21.61538461538461 20 1.538461538461538], ...
	'Style','slider', ...
	'Tag','Slider4');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[16.8 19.92307692307692 19.4 1.538461538461538], ...
	'String','Green = 1.000', ...
	'Style','text', ...
	'Tag','StaticText12');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[16.4 18.46153846153846 21.8 1.538461538461538], ...
	'Style','slider', ...
	'Tag','Slider5');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[47.4 22.84615384615385 19.6 1.538461538461538], ...
	'String','Blue = 1.000', ...
	'Style','text', ...
	'Tag','StaticText13');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'ListboxTop',0, ...
	'Position',[48 21.38461538461538 23.8 1.538461538461538], ...
	'Style','slider', ...
	'Tag','Slider6');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[47 19.61538461538461 23.8 1.538461538461538], ...
	'String','Opacity = 1.000', ...
	'Style','text', ...
	'Tag','StaticText14');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'ListboxTop',0, ...
	'Position',[47.6 18.15384615384615 25.6 1.538461538461538], ...
	'Style','slider', ...
	'Tag','Slider7');
h1 = axes('Parent',h0, ...
	'Units','characters', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat8, ...
	'Position',[22.2 15.53846153846154 48.2 2.307692307692308], ...
	'Tag','Axes1', ...
	'XColor',[0 0 0], ...
	'XTickLabel',['0  ';'0.2';'0.4';'0.6';'0.8';'1  '], ...
	'XTickLabelMode','manual', ...
	'XTickMode','manual', ...
	'YColor',[0 0 0], ...
	'YTickMode','manual', ...
	'ZColor',[0 0 0]);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4958333333333334 -0.275862068965516 9.160254037844386], ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-0.02916666666666667 0.448275862068968 9.160254037844386], ...
	'Rotation',90, ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',[-0.4666666666666667 16.3448275862069 9.160254037844386], ...
	'Tag','Axes1Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4958333333333334 1.241379310344829 9.160254037844386], ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[13 5.692307692307693 69.2 8], ...
	'Style','frame', ...
	'Tag','Frame5');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',mat9, ...
	'String','VRML File Control', ...
	'Style','text', ...
	'Tag','StaticText15');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',mat10, ...
	'String','File name:', ...
	'Style','text', ...
	'Tag','StaticText16');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',mat11, ...
	'Style','edit', ...
	'Tag','EditText1');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',mat12, ...
	'String','Open mode:', ...
	'Style','text', ...
	'Tag','StaticText17');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'ListboxTop',0, ...
	'Position',[16 7.692307692307692 22 1.538461538461538], ...
	'String','Replace', ...
	'Style','radiobutton', ...
	'Tag','Radiobutton5');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'ListboxTop',0, ...
	'Position',mat13, ...
	'String','Append', ...
	'Style','radiobutton', ...
	'Tag','Radiobutton6');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'ListboxTop',0, ...
	'Position',mat14, ...
	'String','Notify web browser on each update', ...
	'Style','checkbox', ...
	'Tag','Checkbox1');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'ListboxTop',0, ...
	'Position',[52.8 2 17.8 2.615384615384615], ...
	'String','Reset to Defaults', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','characters', ...
	'ListboxTop',0, ...
	'Position',[71.8 1.923076923076923 15 2.692307692307692], ...
	'String','Dismiss', ...
	'Tag','Pushbutton2');
if nargout > 0, fig = h0; end
