global meshsizesum
global aspprod

if ~exist('beginat')
  beginat = 1;
  meshsizesum = 0;
  aspprod = 1;
end
matversion = version;
matvnum = str2num(matversion(1:3));

if matvnum < 5.3
  disp('gmevallog not implemented for your version of matlab; no .di files will be produced');
end

for i = beginat : 11
  testi = sprintf('test%d',i);
  disp(testi)
  if matvnum < 5.3
    eval(testi)
  else
    gmevallog(which(testi), [testi,'.di'])
  end
  disp(sprintf('After this test meshsizesum = %d aspprod = %d', ...
     meshsizesum, aspprod))
end


disp(sprintf('alltests is complete; meshsizesum = %d  aspprod = %d', ...
  meshsizesum, aspprod));

